Skip to content

Updates a metric definition on a product; only the fields set on the body are changed.

PATCH
/api/v1/provision/admin/products/{productId}/metrics/{metricId}
curl --request PATCH \
--url https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metrics/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "metricName": "example", "name": "example", "description": "example", "metricType": "example", "unit": "example", "category": "example", "numberFormat": "example" }'
productId
required
string format: uuid

Product id.

metricId
required
string format: uuid

Metric id.

Patch payload — unset/null properties are left unchanged.

object
metricName
null | string
name
null | string
description
null | string
metricType
One of:
null
unit
null | string
category
null | string
numberFormat
null | string
Example generated
{
"metricName": "example",
"name": "example",
"description": "example",
"metricType": "example",
"unit": "example",
"category": "example",
"numberFormat": "example"
}

OK

object
id
string format: uuid
productId
string format: uuid
metricName
string
name
string
description
null | string
metricType
integer
unit
string
category
string
numberFormat
string

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string